package geom

import (
	"fmt"

	"source.gleipnir.technology/Gleipnir/nidus-sync/platform/types"
)

func PostgisPointQuery(location types.Location) string {
	return fmt.Sprintf("ST_SetSRID(ST_MakePoint(%f, %f), 4326)", location.Longitude, location.Latitude)
}
